### Function

# Gimp file_get_config_path

#### Declaration [src]

    gchar*
    gimp_file_get_config_path (
      GFile* file,
      GError** error
    )

#### Description [src]

Unexpands `file`‘s path using `gimp_config_path_unexpand()` and returns the unexpanded path.

The inverse operation of gimp_file_new_for_config_path().

Available since: | 2.10

#### Parameters

`file` | `GFile`
| A `GFile`.
| The data is owned by the caller of the function.
`error` | `GError **`
| The return location for a `GError*`, or `NULL`.

#### Return value

Returns: | `gchar*`
| A newly allocated NUL-terminated UTF-8 string, or `NULL` if unexpanding failed.
| The caller of the function takes ownership of the data, and is responsible for freeing it.
| The value is a NUL terminated UTF-8 string.